aboutsummaryrefslogtreecommitdiff
path: root/0.8.0/src/paludis/upgrade_TEST
diff options
context:
space:
mode:
Diffstat (limited to '0.8.0/src/paludis/upgrade_TEST')
-rwxr-xr-x0.8.0/src/paludis/upgrade_TEST17
1 files changed, 17 insertions, 0 deletions
diff --git a/0.8.0/src/paludis/upgrade_TEST b/0.8.0/src/paludis/upgrade_TEST
new file mode 100755
index 0000000..48b315f
--- /dev/null
+++ b/0.8.0/src/paludis/upgrade_TEST
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+PALUDIS_HOME=./upgrade_TEST_dir/config/ \
+ ./paludis --config-suffix upgrade-test --install =test-category/target-1 || exit 1
+
+./upgrade_TEST_dir/root/usr/bin/testbin | grep testbin-1 >/dev/null || exit 1
+./upgrade_TEST_dir/root/usr/bin/testbin1 | grep testbin1 >/dev/null || exit 1
+./upgrade_TEST_dir/root/usr/bin/testbin2 && exit 1
+
+
+PALUDIS_HOME=./upgrade_TEST_dir/config/ \
+ ./paludis --config-suffix upgrade-test --install target || exit 1
+
+./upgrade_TEST_dir/root/usr/bin/testbin | grep testbin-2 >/dev/null || exit 1
+./upgrade_TEST_dir/root/usr/bin/testbin1 && exit 1
+./upgrade_TEST_dir/root/usr/bin/testbin2 | grep testbin2 >/dev/null || exit 1
+